---

#! /db/releases/20250324115526/lkp-src/jobs/vm-scalability.yaml
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size: 8T
vm-scalability:
  test: anon-cow-seq
job_origin: vm-scalability.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-srf-2sp1
tbox_group: lkp-srf-2sp1
job_file: "/lkp/jobs/scheduled/lkp-srf-2sp1/vm-scalability-performance-300s-8T-anon-cow-seq-debian-12-x86_64-20240206.cgz-6af8cb80d3a9-20250412-318088-1kd4xjk-2.yaml"
id: 903fadba722a4a00b908b7658cbaeaa83a2cadfa
queuer_version: "/zday/lkp"

#! /db/releases/20250324115526/lkp-src/hosts/lkp-srf-2sp1
model: Sierra Forest
nr_node: 2
nr_cpu: 256
memory: 128G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-SAMSUNG_MZQL2960HCJR-00B7C_S63WNE0T400287-part*"
rootfs_partition: "/dev/disk/by-id/nvme-Micron_7450_MTFDKBG960TFR_22323DDFA9D2-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: GENUINE INTEL(R) XEON(R)

#! /db/releases/20250324115526/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:

#! /db/releases/20250324115526/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20250324115526/lkp-src/programs/vm-scalability/include

#! /db/releases/20250324115526/lkp-src/include/queue/cyclic
commit: 6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-04-12 07:30:12.017614711 +08:00
_rt: "/result/vm-scalability/performance-300s-8T-anon-cow-seq/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d"
compiler: gcc-12
head_commit: cba393a1bc697f8a20bd335195265077b69aa518
base_commit: 0af2f6be1b4281385b618cb86ad946eded089ac8
branch: linux-devel/devel-hourly-20250411-060835
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20250410-131751"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-8T-anon-cow-seq/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d/vmlinuz-6.14.0-rc6-00330-g6af8cb80d3a9
- branch=linux-devel/devel-hourly-20250411-060835
- job=/lkp/jobs/scheduled/lkp-srf-2sp1/vm-scalability-performance-300s-8T-anon-cow-seq-debian-12-x86_64-20240206.cgz-6af8cb80d3a9-20250412-318088-1kd4xjk-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20250410132650/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-srf-2sp1/vm-scalability-performance-300s-8T-anon-cow-seq-debian-12-x86_64-20240206.cgz-6af8cb80d3a9-20250412-318088-1kd4xjk-2.cgz"
last_kernel: 6.15.0-rc1-00210-gafc6ce48969b
acpi_rsdp: '0x777fe014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d/vmlinuz-6.14.0-rc6-00330-g6af8cb80d3a9"
result_root: "/result/vm-scalability/performance-300s-8T-anon-cow-seq/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/6af8cb80d3a9a6bbd521d8a7c949b4eafb7dba5d/0"
dequeue_time: 2025-04-12 08:01:45.626285450 +08:00
job_state: finished
loadavg: 61.65 102.75 53.37 1/2212 44010
start_time: '1744443039'
end_time: '1744443344'
version: "/lkp/lkp/.src-20250410-131751:5a33fa52ad0e-dirty:6851cd136246"
